# savan_db_mgr.h File Reference

Savan Database Manager Interface. More...

`#include <axutil_allocator.h>`
`#include <axutil_env.h>`
`#include <axutil_error.h>`
`#include <axutil_string.h>`
`#include <axutil_utils.h>`
`#include <axutil_array_list.h>`
`#include <savan_subscriber.h>`
`#include <sqlite3.h>`

Go to the source code of this file.

## Classes
struct | savan_db_mgr
| Savan Database Manager Struct Impl Savan Database Manager. More...
## Typedefs
typedef struct savan_db_mgr | savan_db_mgr_t
| Savan Database Manager Struct Impl Savan Database Manager.
## Functions
AXIS2_EXTERN savan_db_mgr_t * | savan_db_mgr_create (const axutil_env_t *env, axis2_char_t *dbname)
AXIS2_EXTERN void | savan_db_mgr_free (savan_db_mgr_t *db_mgr, const axutil_env_t *env)
AXIS2_EXTERN int | savan_db_mgr_topic_find_callback (void *not_used, int argc, char **argv, char **col_name)
AXIS2_EXTERN int | savan_db_mgr_subs_find_callback (void *not_used, int argc, char **argv, char **col_name)
AXIS2_EXTERN int | savan_db_mgr_subs_retrieve_callback (void *not_used, int argc, char **argv, char **col_name)
AXIS2_EXTERN axis2_status_t | savan_db_mgr_insert_subscriber (const axutil_env_t *env, const axis2_char_t *dbname, savan_subscriber_t *subscriber)
AXIS2_EXTERN axis2_status_t | savan_db_mgr_update_subscriber (const axutil_env_t *env, const axis2_char_t *dbname, savan_subscriber_t *subscriber)
AXIS2_EXTERN axis2_status_t | savan_db_mgr_insert_topic (const axutil_env_t *env, const axis2_char_t *dbname, axis2_char_t *topic_name, axis2_char_t *topic_url)
AXIS2_EXTERN axis2_status_t | savan_db_mgr_remove (const axutil_env_t *env, const axis2_char_t *dbname, axis2_char_t *sql_stmt_remove)
AXIS2_EXTERN savan_subscriber_t * | savan_db_mgr_retrieve (const axutil_env_t *env, const axis2_char_t *dbname, int(*retrieve_func)(void *, int, char **, char **), axis2_char_t *sql_stmt_retrieve)
AXIS2_EXTERN axis2_status_t | savan_db_mgr_update (const axutil_env_t *env, const axis2_char_t *dbname, axis2_char_t *sql_stmt_update)
AXIS2_EXTERN axutil_array_list_t * | savan_db_mgr_retrieve_all (const axutil_env_t *env, const axis2_char_t *dbname, int(*find_func)(void *, int, char **, char **), axis2_char_t *sql_stmt_find)
AXIS2_EXTERN void * | savan_db_mgr_get_dbconn (const axutil_env_t *env, const axis2_char_t *dbname)
axis2_char_t * | savan_db_mgr_create_update_sql (const axutil_env_t *env, savan_subscriber_t *subscriber)
AXIS2_EXTERN axis2_status_t | savan_db_mgr_create_db (const axutil_env_t *env, const axis2_char_t *dbname)

## Detailed Description

Savan Database Manager Interface.

## Function Documentation

AXIS2_EXTERN axis2_status_t savan_db_mgr_create_db | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | dbname |
| ) |  |  |

This function will create the savan_db database if it is not aleardy exists

Parameters:

  | db_mgr | database manager instance
  | env | axis2c environment

Returns:
  status AXIS2_SUCCESS if success, AXIS2_FAILURE if failed.